"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault").default;
var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard").default;
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Layout = void 0;
var _react = _interopRequireWildcard(require("react"));
var _reactHelmet = _interopRequireDefault(require("react-helmet"));
var _appAdmin = require("@webiny/app-admin");
var _TopAppBar = require("@webiny/ui/TopAppBar");
var RMWCLayout = function RMWCLayout() {
  return function RMWCLayout(_ref) {
    var title = _ref.title,
      children = _ref.children;
    return /*#__PURE__*/_react.default.createElement(_react.Fragment, null, title ? /*#__PURE__*/_react.default.createElement(_reactHelmet.default, {
      title: title
    }) : null, /*#__PURE__*/_react.default.createElement(_appAdmin.Tags, {
      tags: {
        location: "appBar"
      }
    }, /*#__PURE__*/_react.default.createElement(_TopAppBar.TopAppBarPrimary, {
      fixed: true
    }, /*#__PURE__*/_react.default.createElement(_TopAppBar.TopAppBarSection, {
      style: {
        width: "25%"
      },
      alignStart: true
    }, /*#__PURE__*/_react.default.createElement(_appAdmin.Brand, null)), /*#__PURE__*/_react.default.createElement(_TopAppBar.TopAppBarSection, {
      style: {
        width: "50%"
      }
    }, /*#__PURE__*/_react.default.createElement(_appAdmin.Search, null)), /*#__PURE__*/_react.default.createElement(_TopAppBar.TopAppBarSection, {
      style: {
        width: "25%"
      },
      alignEnd: true
    }, /*#__PURE__*/_react.default.createElement(_appAdmin.LocaleSelector, null), /*#__PURE__*/_react.default.createElement(_appAdmin.UserMenu, null)))), /*#__PURE__*/_react.default.createElement("div", {
      style: {
        paddingTop: 67
      }
    }, children), /*#__PURE__*/_react.default.createElement(_appAdmin.Navigation, null));
  };
};
var Layout = function Layout() {
  return /*#__PURE__*/_react.default.createElement(_appAdmin.Compose, {
    component: _appAdmin.LayoutRenderer,
    with: RMWCLayout
  });
};
exports.Layout = Layout;

//# sourceMappingURL=Layout.js.map