"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault").default;
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.subFooter = exports.navHeader = exports.navContent = exports.logoStyle = exports.MenuHeader = exports.MenuFooter = void 0;
var _styled = _interopRequireDefault(require("@emotion/styled"));
var _emotion = require("emotion");
var MenuHeader = /*#__PURE__*/(0, _styled.default)("div", {
  target: "eulanz40",
  label: "MenuHeader"
})({
  display: "flex",
  alignItems: "center",
  padding: 5,
  backgroundColor: "var(--mdc-theme-surface)",
  borderBottom: "1px solid var(--mdc-theme-on-background)"
});
exports.MenuHeader = MenuHeader;
var navHeader = /*#__PURE__*/(0, _emotion.css)({
  padding: 0,
  "&.mdc-drawer__header": {
    padding: "0 !important",
    minHeight: 0
  }
}, "label:navHeader;");
exports.navHeader = navHeader;
var navContent = /*#__PURE__*/(0, _emotion.css)({
  padding: "0 !important"
}, "label:navContent;");
exports.navContent = navContent;
var logoStyle = /*#__PURE__*/(0, _emotion.css)({
  "&.mdc-top-app-bar__title": {
    paddingLeft: 15,
    ".webiny-logo": {
      color: "var(--mdc-theme-primary)"
    }
  }
}, "label:logoStyle;");
exports.logoStyle = logoStyle;
var MenuFooter = /*#__PURE__*/(0, _styled.default)("div", {
  target: "eulanz41",
  label: "MenuFooter"
})({
  borderTop: "1px solid var(--mdc-theme-on-background)",
  a: {
    color: "var(--mdc-theme-text-on-primary)",
    textDecoration: "none"
  }
});
exports.MenuFooter = MenuFooter;
var subFooter = /*#__PURE__*/(0, _emotion.css)({
  ".mdc-drawer &.mdc-list-item": {
    borderTop: "1px solid var(--mdc-theme-on-background)",
    padding: "10px 16px",
    margin: 0
  }
}, "label:subFooter;");
exports.subFooter = subFooter;

//# sourceMappingURL=Styled.js.map